<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage --><html lang="en">
<head><meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<!-- Generated by javadoc (1.8.0_121) on Thu Sep 26 20:37:37 UTC 2019 -->
<title>com.here.android.mpa.mapping Class Hierarchy (HERE Android Premium SDK)</title>
<meta name="date" content="2019-09-26">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
<meta name="copyright" content="© 2019 HERE Europe B.V."><meta name="html_title" content="HERE Android Premium SDK NLP Premium Edition v3.13 API Reference"><meta name="DC.Document.Id" content="28f10409-3c3a-4aab-a398-4c46acfeab3a"><meta name="DC.Document.Name" content="HERE Android Premium SDK Java API Reference"><meta name="DC.Product.Name" content="HERE Android Premium SDK"><meta name="DC.Product.Version" content="3.13"><meta name="DC.Creation.Date" content="2019-10-25T09:06:39+00:00"></head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="com.here.android.mpa.mapping Class Hierarchy (HERE Android Premium SDK)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/isoline/package-tree.html">Prev</a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/customization/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package com.here.android.mpa.mapping</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">androidx.fragment.app.Fragment (implements android.content.ComponentCallbacks, androidx.lifecycle.LifecycleOwner, android.view.View.OnCreateContextMenuListener, androidx.lifecycle.ViewModelStoreOwner)
<ul>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/AndroidXMapFragment.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">AndroidXMapFragment</span></a> (implements com.nokia.maps.MapUi)</li>
</ul>
</li>
<li type="circle">android.app.Fragment (implements android.content.ComponentCallbacks2, android.view.View.OnCreateContextMenuListener)
<ul>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapFragment.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapFragment</span></a> (implements com.nokia.maps.MapUi)</li>
</ul>
</li>
<li type="circle">android.support.v4.app.Fragment (implements android.content.ComponentCallbacks, android.arch.lifecycle.LifecycleOwner, android.view.View.OnCreateContextMenuListener, android.arch.lifecycle.ViewModelStoreOwner)
<ul>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/SupportMapFragment.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">SupportMapFragment</span></a> (implements com.nokia.maps.MapUi)</li>
</ul>
</li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/Location.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Location</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/LocationInfo.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">LocationInfo</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/Map.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Map</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/Map.PixelResult.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Map.PixelResult</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/Map.Scheme.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Map.Scheme</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapBuildingGroup.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapBuildingGroup</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapBuildingLayer</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.BuildingSearchResult.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapBuildingLayer.BuildingSearchResult</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.OnGestureListenerAdapter.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapGesture.OnGestureListener.OnGestureListenerAdapter</span></a> (implements com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping">MapGesture.OnGestureListener</a>)</li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapModelObject.DirectionalLight.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapModelObject.DirectionalLight</span></a> (implements com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapModelObject.Light.html" title="interface in com.here.android.mpa.mapping">MapModelObject.Light</a>)</li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapModelObject.PhongMaterial.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapModelObject.PhongMaterial</span></a> (implements com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapModelObject.Material.html" title="interface in com.here.android.mpa.mapping">MapModelObject.Material</a>)</li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapOffScreenRenderer.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapOffScreenRenderer</span></a> (implements com.here.android.mpa.common.<a href="../../../../../com/here/android/mpa/common/OffScreenRenderer.html" title="interface in com.here.android.mpa.common">OffScreenRenderer</a>)</li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapOverlay.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapOverlay</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapRasterTileSource</span></a>
<ul>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/UrlMapRasterTileSourceBase.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">UrlMapRasterTileSourceBase</span></a>
<ul>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/HistoricalTrafficRasterTileSource.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">HistoricalTrafficRasterTileSource</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.MapTileSystemHelper.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapRasterTileSource.MapTileSystemHelper</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.TileResult.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapRasterTileSource.TileResult</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapState.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapState</span></a> (implements android.os.Parcelable)</li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapTrafficLayer.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapTrafficLayer</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapTransitLayer.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapTransitLayer</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapView.IconGestureListener.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapView.IconGestureListener</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/Mesh.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">Mesh</span></a>
<ul>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/GeoMesh.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">GeoMesh</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/LocalMesh.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">LocalMesh</span></a></li>
</ul>
</li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.OnMapRenderListenerAdapter.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">OnMapRenderListener.OnMapRenderListenerAdapter</span></a> (implements com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping">OnMapRenderListener</a>)</li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/OperatingHours.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">OperatingHours</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/PositionIndicator.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">PositionIndicator</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/SafetySpotInfo.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">SafetySpotInfo</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/TrafficEvent.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">TrafficEvent</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/TransitAccessInfo.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">TransitAccessInfo</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">TransitDatabase</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListenerAdapter.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">TransitDatabase.OnGetTransitInfoListenerAdapter</span></a> (implements com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListener.html" title="interface in com.here.android.mpa.mapping">TransitDatabase.OnGetTransitInfoListener</a>)</li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/TransitLineInfo.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">TransitLineInfo</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/TransitStopInfo.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">TransitStopInfo</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/TransitSystemInfo.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">TransitSystemInfo</span></a></li>
<li type="circle">android.view.View (implements android.view.accessibility.AccessibilityEventSource, android.graphics.drawable.Drawable.Callback, android.view.KeyEvent.Callback)
<ul>
<li type="circle">android.view.ViewGroup (implements android.view.ViewManager, android.view.ViewParent)
<ul>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapView.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapView</span></a> (implements com.nokia.maps.MapUi)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">com.here.android.mpa.common.<a href="../../../../../com/here/android/mpa/common/ViewObject.html" title="class in com.here.android.mpa.common"><span class="typeNameLink">ViewObject</span></a>
<ul>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapObject.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapObject</span></a>
<ul>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapCircle.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapCircle</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapContainer.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapContainer</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapMarker.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapMarker</span></a>
<ul>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapLabeledMarker.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapLabeledMarker</span></a></li>
</ul>
</li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapModelObject.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapModelObject</span></a>
<ul>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapGeoModel.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapGeoModel</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapLocalModel.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapLocalModel</span></a></li>
</ul>
</li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapPolygon.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapPolygon</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapPolyline.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapPolyline</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapRoute.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapRoute</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapScreenMarker.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapScreenMarker</span></a></li>
</ul>
</li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapProxyObject.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapProxyObject</span></a>
<ul>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapBuildingObject.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapBuildingObject</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapCartoMarker.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">MapCartoMarker</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/SafetySpotObject.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">SafetySpotObject</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/TrafficEventObject.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">TrafficEventObject</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/TransitAccessObject.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">TransitAccessObject</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/TransitLineObject.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">TransitLineObject</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/TransitLineSegmentObject.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">TransitLineSegmentObject</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/TransitStopObject.html" title="class in com.here.android.mpa.mapping"><span class="typeNameLink">TransitStopObject</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<h2 title="Interface Hierarchy">Interface Hierarchy</h2>
<ul>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/Map.OnSchemeChangedListener.html" title="interface in com.here.android.mpa.mapping"><span class="typeNameLink">Map.OnSchemeChangedListener</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/Map.OnTransformListener.html" title="interface in com.here.android.mpa.mapping"><span class="typeNameLink">Map.OnTransformListener</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapGesture.html" title="interface in com.here.android.mpa.mapping"><span class="typeNameLink">MapGesture</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapGesture.OnGestureListener.html" title="interface in com.here.android.mpa.mapping"><span class="typeNameLink">MapGesture.OnGestureListener</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapMarker.OnDragListener.html" title="interface in com.here.android.mpa.mapping"><span class="typeNameLink">MapMarker.OnDragListener</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapModelObject.Light.html" title="interface in com.here.android.mpa.mapping"><span class="typeNameLink">MapModelObject.Light</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapModelObject.Material.html" title="interface in com.here.android.mpa.mapping"><span class="typeNameLink">MapModelObject.Material</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/OnMapRenderListener.html" title="interface in com.here.android.mpa.mapping"><span class="typeNameLink">OnMapRenderListener</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/TrafficEvent.Listener.html" title="interface in com.here.android.mpa.mapping"><span class="typeNameLink">TrafficEvent.Listener</span></a>&lt;T&gt;</li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.OnGetTransitInfoListener.html" title="interface in com.here.android.mpa.mapping"><span class="typeNameLink">TransitDatabase.OnGetTransitInfoListener</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/ZoomLevelToTiltFunction.html" title="interface in com.here.android.mpa.mapping"><span class="typeNameLink">ZoomLevelToTiltFunction</span></a></li>
</ul>
<h2 title="Enum Hierarchy">Enum Hierarchy</h2>
<ul>
<li type="circle">java.lang.Object
<ul>
<li type="circle">java.lang.Enum&lt;E&gt; (implements java.lang.Comparable&lt;T&gt;, java.io.Serializable)
<ul>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapCircle.PatternStyle.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">MapCircle.PatternStyle</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapProxyObject.Type.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">MapProxyObject.Type</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapPolyline.CapStyle.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">MapPolyline.CapStyle</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapPolygon.PatternStyle.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">MapPolygon.PatternStyle</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/TransitAccessInfo.Attribute.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">TransitAccessInfo.Attribute</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/Map.Projection.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">Map.Projection</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/TransitLineInfo.Attribute.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">TransitLineInfo.Attribute</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/Map.PedestrianFeature.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">Map.PedestrianFeature</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.TileResult.Error.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">MapRasterTileSource.TileResult.Error</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapPolyline.PatternStyle.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">MapPolyline.PatternStyle</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/TrafficEvent.Severity.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">TrafficEvent.Severity</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.DefaultBuildingColor.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">MapBuildingLayer.DefaultBuildingColor</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/TransitStopInfo.Attribute.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">TransitStopInfo.Attribute</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.BuildingSearchResult.ErrorCode.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">MapBuildingLayer.BuildingSearchResult.ErrorCode</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapRoute.RenderType.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">MapRoute.RenderType</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/SafetySpotInfo.Type.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">SafetySpotInfo.Type</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapBuildingGroup.BuildingFace.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">MapBuildingGroup.BuildingFace</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/Map.FleetFeature.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">Map.FleetFeature</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/Map.PixelResult.Error.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">Map.PixelResult.Error</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapPolygon.CapStyle.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">MapPolygon.CapStyle</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapOverlayType.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">MapOverlayType</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapBuildingLayer.DefaultBuildingGroups.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">MapBuildingLayer.DefaultBuildingGroups</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapTrafficLayer.RenderLayer.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">MapTrafficLayer.RenderLayer</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/TransitAccessInfo.Method.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">TransitAccessInfo.Method</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapObject.Type.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">MapObject.Type</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/LocationInfo.Field.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">LocationInfo.Field</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/Map.LayerCategory.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">Map.LayerCategory</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/Map.Animation.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">Map.Animation</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/TransitDatabase.Error.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">TransitDatabase.Error</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/TransitStopInfo.ParkingSize.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">TransitStopInfo.ParkingSize</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/TransitSystemInfo.Attribute.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">TransitSystemInfo.Attribute</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapRasterTileSource.Transparency.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">MapRasterTileSource.Transparency</span></a></li>
<li type="circle">com.here.android.mpa.mapping.<a href="../../../../../com/here/android/mpa/mapping/MapTransitLayer.Mode.html" title="enum in com.here.android.mpa.mapping"><span class="typeNameLink">MapTransitLayer.Mode</span></a></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage">Copyright (c) 2011-2019 HERE Global B.V. All rights reserved.</div>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/here/android/mpa/isoline/package-tree.html">Prev</a></li>
<li><a href="../../../../../com/here/android/mpa/mapping/customization/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/here/android/mpa/mapping/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
